Manual do PHP
Anterior |  | Próxima

# filter_var

(no version information, might be only in CVS)

filter_var -- Filters a variable with a specified filter

## Descrição

mixed filter_var ( mixed variable [, int filter [, mixed options]] )

## Parâmetros

`variable`

  Value to filter, arrays are filtered recursively.

`filter`

  ID of a filter to use. Defaults to `FILTER_SANITIZE_STRING`.

`options`

  Associative array of options or bitwise disjunction of flags. If filter accepts options, flags can be provided in "flags" field of array. For the "callback" filter, callback type should be passed.

## Valores de retornado

Returns the filtered data, or `FALSE` if the filter fails.

## Exemplos

Exemplo 1. A filter_var() example
`<?php var_dump(filter_var('bob@example.com', FILTER_VALIDATE_EMAIL)); var_dump(filter_var('example.com', FILTER_VALIDATE_URL, FILTER_FLAG_SCHEME_REQUIRED)); ?>`
O exemplo acima irá imprimir:
    string(15) "bob@example.com"
    bool(false)

## Veja também

filter_var_array()
filter_input()
filter_input_array()
informações sobre o tipo callback

Anterior | Principal | Próxima
filter_var_array | Acima | Firebird/InterBase